#
# monitor.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

# Webmin monitor for the Benchmark protocol

import time
import benchmark

from jsi.messageError import *

# Template of the main table
body_template = """
<tr><td colspan=5>
<table cellspacing=2 border=1>
<tr>
<td>Packet Size:</td><td><input type="text" name="psize" value="0"></td>
</tr>
<tr>
<td>Cycles:</td><td><input type="text" name="cycles" value="100000"></td>
</tr>
</table>
<tr>
<td><input type="submit" name="monitor_submit" value="Start Send Test"></td>
</tr>
<tr><td colspan=5><hr></td></tr>
<tr>
<td><input type="submit" name="monitor_submit" value="Terminate"></td>
</tr>
</td></tr>
"""

results_template = """
<tr><td colspan=5>
<table cellspacing=2 border=1>
<tr>
<td>PPS:</td><td>%(pps)s</td>
</tr>
</table>
</td></tr>
"""

config["protocol-specific-args"] = body_template
if form.has_key("monitor_submit"):
    # Create an object that can communicate with the Benchmark JSI handler.
    server = benchmark.Benchmark(channel, capability)
    if form["monitor_submit"].value == "Terminate":
        server.shutdown()
    elif form["monitor_submit"].value == "Start Send Test":
        results = server.doSendTest(size = form["psize"].value,
                                    cycles = form["cycles"].value)
        config["protocol-specific-args"] = results_template % results
