#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
# 
# This file is part of the JanosVM.
# 
# Permission to use, copy, modify, distribute, and sell this
# documentation for any purpose is hereby granted without fee,
# provided that the above copyright notice(s) appear in all copies.
#
# Author: Tim Stack
#

from janosvm import *

class JVMDir:
    def __init__(self, jvm, name = ""):
        self.jvm = jvm
        self.jvm.msg.pushSpecifier("dir", name)

    def create(self, name):
        self.jvm.msg.setWhat(JSI_CREATE_PROPERTY)
        self.jvm.msg.add("name", name)
        reply = self.jvm.send()
        return reply.find("result") == "ok"

    def delete(self):
        self.jvm.msg.setWhat(JSI_DELETE_PROPERTY)
        reply = self.jvm.send()
        return reply.find("result") == "ok"

    def list(self):
        self.jvm.msg.setWhat(JSI_LIST_PROPERTIES)
        reply = self.jvm.send()
        retval = {}
        count = range(0, reply.identifierCount("name"))
        for id in count:
            retval[reply.find("name", id)] = reply.find("type", id)
        return retval
