#
# capability-list-help.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

import os
import sys
import time
import beesPageTemplate

config = {
    "title" : "Capability List Help",
    "time" : time.ctime(os.stat(sys.argv[0])[8]),
    "help-file" : "root-help.html",
    }

body = """
<h2>Capability List Help</h2>
<p>

A Capability is an object in the system that grants certain privileges to those
entities which hold a reference to it.  For instance, a protocol cannot read or
write to a file unless it is given a capability to that file.  The capability
browser is used to manipulate the capabilities in the kernel domain of the Bees
node.  Much like a file system, these capabilities are stored in a directory
structure and referenced using path names separated by a forward slash.  As an
example, when creating a flow description you are required to enter the
destination for the description, this needs to be a path to a file capability
in the kernel.

<p>
To navigate the hierarchy or view a capability, simply click the link on
the left hand side.  Unfortunately, the webmin interface does not do any
formatting of the capability values, it simply displays the result of a
toString() performed on the object.  If you want to manipulate the hierarchy in
some way, select one of the following operations on the right hand side:

<ul>
<li>Load - Load a capability file into a directory.
<li>Save - Save a directory into a file.  <i>Note</i>: This will save the
contents of the directory, not the directory itself.  So, when loading the
saved file you should create the directory and load it into there.
<li>Change - Change a capability's permissions.
<li>Create - Create a capability in a directory.  <i>Note</i>: This can also be
used to create directories and envelopes.
<li>Delete - Delete a capability or directory. XXX
</ul>

"""

print beesPageTemplate.header % config

print body

print beesPageTemplate.footer % config
