#
# capability-save-help.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

import os
import sys
import time
import beesPageTemplate

config = {
    "title" : "Capability Save Help",
    "time" : time.ctime(os.stat(sys.argv[0])[8]),
    "help-file" : "root-help.html",
    }

body = """
<h2>Capability Save Help</h2>
<p>

Reconstructing capabilities everytime an Bees node is booted would be quite a
chore if they could not be saved to disk, especially in the case of
cryptographic keys.  To help mitigate these problems, Bees is able to save a
tree of capabilities to a file on the local disk.  In addition, the file can be
encrypted with a password to help protect sensitive data (e.g. private/secret
keys).

<ul>
<li>Source directory - The directory containing the capabilities to save.
Note:  The capabilities inside the directory are saved, not the directory
itself.
<li>File name - The file to store the capabilities in, located on the Bees
machine.
<li>File password - If not blank, the password to use when encrypting the file.
</ul>

"""

print beesPageTemplate.header % config

print body

print beesPageTemplate.footer % config
