#
# index.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

import os
import sys
import time
import beesPageTemplate

config = {
    "title" : "Home",
    "time" : time.ctime(os.stat(sys.argv[0])[8]),
    "help-file" : "/root-help.html",
    }

body = """
<h2>Welcome to the Bees Control Panel</h2>
<p>
The Bees Control Panel is used to control an instance of Bees running on a
local or remote machine.

<p>
The menu at the left takes you to the following pages:
<ul>
<li><b>Home</b> - This page.
<li><b>Configuration</b> - Initialize or view the node's configuration.
<li><b>Status</b> - View the current status of the node.
<li><b>Capabilities</b> - Manage the node's capabilities.
<li><b>Tools</b> - Tools for building and starting flows.
<li><b>Help</b> - Context specific help.
</ul>

<h3>Links</h3>
<ul>
<li><a href="http://www.cs.utah.edu/flux/janos/bees.html">Bees</a> - The Bees home page.
<li><a href="http://www.cs.utah.edu/flux/janos">Janos</a> - The home page of
the Janos project.
</ul>
"""

print beesPageTemplate.header % config

print body

print beesPageTemplate.footer % config
