#
# root-help.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

import os
import sys
import time
import beesPageTemplate

config = {
    "title" : "Help",
    "time" : time.ctime(os.stat(sys.argv[0])[8]),
    "help-file" : "root-help.html",
    }

body = """
<h2>Main Help File</h2>
<p>

The Bees Control Panel is a collection of web pages that can be used to control
and browse Bees nodes.  The goal is to present information about the node and
it's protocols in a cleaner fashion than comparable command line tool(s).
Unfortunately, the current implementation does not fail gracefully in most
cases, this will likely be remedied in the future.

<h3>How it works</h3>

The majority of the work is done by a number of CGI scripts written in python.
Each script uses the python binding for the JanosVM Scripting Interface to talk
to the Bees node and, if its available, the JanosVM that is executing the code.
Mapping HTTP servers to nodes is done through the <file>beesconfig.py</file>
file located in the installed <file>webmin/cgi-bin</file> directory.  This file
lists a series of HTTP ports and their corresponding Bees and JanosVM locations
in the standard JSI format (&lt;protocol&gt;:&lt;hostname&gt;/&lt;port&gt;).
The scripts then determine which node to talk to by mapping the server's port
number to the corresponding JSI format.

<h3>Notes</h3>

<ul>
<li>Many of the forms have a "Refresh" button to refresh the state of the form.
On most browser you should not have to use the button, since the form fields
will execute some javascript to automatically update the form.
</ul>

"""

print beesPageTemplate.header % config

print body

print beesPageTemplate.footer % config
